<html>
<head>
    <script src="AIRAliases.js" />
    <script>
    var socket;
    var response;
    function init() {
        socket = new air.Socket("localhost", 80);
        socket.addEventListener(air.Event.CLOSE, closeHandler);
        socket.addEventListener(air.Event.CONNECT, connectHandler);
        socket.addEventListener(air.IOErrorEvent.IO_ERROR, ioErrorHandler);
        socket.addEventListener(air.SecurityErrorEvent.SECURITY_ERROR, securityErrorHandler);
        socket.addEventListener(air.ProgressEvent.SOCKET_DATA, socketDataHandler);
    }
    function writeln(str) {
        str += "\n";
        try {
            socket.writeUTFBytes(str);
        }
        catch(e) {
            air.trace(e);
        }
    }
    function sendRequest() {
        air.trace("sendRequest");
        response = "";
        writeln("GET /");
        socket.flush();
    }
    function readResponse() {
        var str = socket.readUTFBytes(socket.bytesAvailable);
        response += str;
    }
    function closeHandler(event) {
        air.trace("closeHandler: " + event);
        air.trace(response.toString());
    }
    function connectHandler(event) {
        air.trace("connectHandler: " + event);
        sendRequest();
    }
    function ioErrorHandler(event) {
        air.trace("ioErrorHandler: " + event);
    }
    function securityErrorHandler(event) {
        air.trace("securityErrorHandler: " + event);
    }
    function socketDataHandler(event) {
        air.trace("socketDataHandler: " + event);
        readResponse();
    }
    </script>
</head>
<body onload='init()'>
</body>
</html>
